Summary: A utility for converting ELF binaries to a.out binaries.
Name: mptable
Version: 2.0.15a
Release: 1
Copyright: GPL
Group: System Environment/Kernel
Source: mptable-2.0.15a.tar.gz
# There is a very good reason to allow clashed builds, but I forgot what.
BuildRoot: /var/tmp/%{name}-root
ExclusiveArch: i386

%description
The mptable utility prints out a semi-readable representation of
certain system tables for the i386 platform.

This utility is used for system debugging and is not useful for
everyday operations.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 0755 -s mptable $RPM_BUILD_ROOT/usr/sbin/mptable

mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
install -m 0644 mptable.1 $RPM_BUILD_ROOT/usr/share/man/man1/mptable.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/mptable
/usr/share/man/man1/mptable.*

%changelog
* Thu May 30 2002 Pete Zaitcev <zaitcev@redhat.com>
- Created version 2.0.15a, different from BSD 2.0.15 in the following:
: Removed getopt, because we do not have optreset variable,
  and without it mptable's argument handling is buggy.
: Added $PIRQ from Doug Ledford's version, argument -pirq.
  Can query $PIRQ on machines without MP tables (e.g. laptops).
: Added one typedef for Linux.
- Initial revision, taken from FreeBSD current.
